Subject: Re: bug#30343: make transpose-regions interactive

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Mar 2018 14:02:01 +0200

> Date: Wed, 07 Mar 2018 21:56:28 +0100
> From: [email-masked] (Charles A. Roelli)
> CC: [email-masked]
> 
> Thanks for the review.  Could you please look at the following second
> iteration?  All your points should be addressed.

This LGTM, thanks.  One minor comment:

> +Interactively, STARTR1 and ENDR1 are point and mark; STARTR2 and ENDR2
> +are the last two marks pushed to the mark ring; LEAVE-MARKERS is nil.
> +If a prefix argument N is given, STARTR2 and ENDR2 are the two
> +successive marks N entries backwards in the mark ring.  A negative
> +prefix argument instead counts forwards from the oldest mark in the

Please use "back" in "forward" here, instead of "backwards" and
"forwards".  ("Backwards" has a meaning that might confuse readers
here.)